Bug 1069919 (CVE-2014-0033) - CVE-2014-0033 tomcat: session fixation still possible with disableURLRewriting enabled
Summary: CVE-2014-0033 tomcat: session fixation still possible with disableURLRewritin...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0033
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1080306
Blocks: 1069924 1071884 1072796
TreeView+ depends on / blocked
 
Reported: 2014-02-25 22:37 UTC by Vincent Danen
Modified: 2019-09-29 13:13 UTC (History)
45 users (show)

Fixed In Version: tomcat 6.0.39
Doc Type: Bug Fix
Doc Text:
It was found that previous fixes in Tomcat 6 to path parameter handling introduced a regression that caused Tomcat to not properly disable URL rewriting to track session IDs when the disableURLRewriting option was enabled. A man-in-the-middle attacker could potentially use this flaw to hijack a user's session.
Clone Of:
Environment:
Last Closed: 2014-05-25 23:32:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 2.0.1 tomcat6 security update 2014-05-21 19:45:35 UTC
Red Hat Product Errata RHSA-2014:0528 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 2.0.1 tomcat6 security update 2014-05-21 19:45:27 UTC

Description Vincent Danen 2014-02-25 22:37:46 UTC
Previous fixes in Tomcat 6 [1] to path parameter handling introduced a regression that meant session IDs provided in the URL were considered even when disableURLRewriting was configured to true. Note that the session is only used for that single request.

This flaw only affects Tomcat 6.0.33 up to and including 6.0.37.  Tomcat 6.0.39 corrects this issue [2].


[1] http://svn.apache.org/viewvc?view=revision&revision=r1149220
[2] http://svn.apache.org/viewvc?view=revision&revision=1558822

Comment 1 Arun Babu Neelicattu 2014-03-04 05:21:48 UTC
Statement:

This issue did not affect JBoss Web, as shipped with various Red Hat JBoss products.

The disableURLRewriting property was introduced in Apache Tomcat 6.0.30. All versions of Apache Tomcat prior to 6.0.30 are not affected by this flaw, as the affected feature is not present.

Tomcat 6 as shipped with Red Hat JBoss Web Server 2.0.0 and above is affected by this flaw. Tomcat 6 as shipped with Red Hat JBoss Web Server 1.0.2 is not affected by this flaw. Tomcat 6 as shipped with Red Hat JBoss Web Server prior to 1.0.2 is not affected by this flaw, as the disableURLRewriting property is not supported. 

Tomcat 6 as shipped with Red Hat Enterprise Linux 6 is based on Apache Tomcat 6.0.24 and is not affected by this flaw, as this flaw was introduced only in Apache Tomcat 6.0.33.

External References:

https://access.redhat.com/site/solutions/88203

Comment 6 errata-xmlrpc 2014-05-21 15:46:12 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Server 2.0.1

Via RHSA-2014:0528 https://rhn.redhat.com/errata/RHSA-2014-0528.html

Comment 7 errata-xmlrpc 2014-05-21 15:48:22 UTC
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5
  JBEWS 2 for RHEL 6

Via RHSA-2014:0525 https://rhn.redhat.com/errata/RHSA-2014-0525.html


Note You need to log in before you can comment on or make changes to this bug.